Summary:	Advanced Linux Sound Architecture - firmware data
Summary(pl.UTF-8):	Advanced Linux Sound Architecture - dane firmware
Name:		alsa-firmware
Version:	1.2.4
Release:	1
License:	varies (GPL, BSD-like, distributable)
Group:		Libraries
Source0:	ftp://ftp.alsa-project.org/pub/firmware/%{name}-%{version}.tar.bz2
# Source0-md5:	ee6c1d24a1a4ac1d86992b408ed710a2
URL:		http://www.alsa-project.org/
BuildRequires:	automake
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*\.elf

%description
Firmware data for ALSA.

%description -l pl.UTF-8
Dane firmware dla ALSA.

%prep
%setup -q

%build
%configure \
	--build=%{_build_platform} \
	--disable-buildfw \
	--with-hotplug-dir=/lib/firmware

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -f ca0132/README README.ca0132
cp -f hdsploader/README README.hdsploader
cp -f mixartloader/README README.mixartloader
cp -f pcxhrloader/README README.pcxhrloader
cp -f usx2yloader/README README.usx2yloader
cp -f vxloader/README README.vxloader
cp -f aica/license.txt license.aica

# remove dead symlinks to /etc/sound/* (with sanity check)
for l in $RPM_BUILD_ROOT/lib/firmware/turtlebeach/*.bin ; do
	test -h $l || exit 1
	rm -f $l
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* ca0132/creative.txt mixartloader/miXart.conf pcxhrloader/pcxhr.conf usx2yloader/us*.conf vxloader/vx*.conf aica/Dreamcast_sound.txt license.aica
# loadable by hotplug/udev
/lib/firmware/aica_firmware.bin
/lib/firmware/cs46xx
/lib/firmware/ctefx.bin
/lib/firmware/ctefx-desktop.bin
/lib/firmware/ctefx-r3di.bin
/lib/firmware/ctspeq.bin
/lib/firmware/digiface_*.bin
/lib/firmware/multiface_*.bin
/lib/firmware/asihpi
/lib/firmware/ea
/lib/firmware/emu
/lib/firmware/ess
/lib/firmware/korg
/lib/firmware/mixart
/lib/firmware/pcxhr
/lib/firmware/rpm_firmware.bin
/lib/firmware/sb16
# just dead symlinks
#/lib/firmware/turtlebeach
/lib/firmware/vx
/lib/firmware/yamaha
# -alsa subpackage? loadable by alsa (R: alsa-tools, %{_datadir}/alsa dir)
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/hdsploader
%{_datadir}/alsa/firmware/mixartloader
%{_datadir}/alsa/firmware/pcxhrloader
%{_datadir}/alsa/firmware/usx2yloader
%{_datadir}/alsa/firmware/vxloader
%changelog
* Sat Oct 31 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/alsa-firmware.git;a=log;h=master

* Thu Oct 29 2020 Jan Palus <atler@pld-linux.org> e960101
- config.sub is fresh enough already

* Thu Oct 29 2020 Jan Palus <atler@pld-linux.org> 137b3b6
- up to 1.2.4

* Mon Nov 18 2019 Jan Palus <atler@pld-linux.org> a26777a
- up to 1.2.1

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> d2f293d
- updated to 1.0.29

* Wed Jun 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3798cb7
- up to 1.0.28

* Sun Apr 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 2a73d8a
- updated to 1.0.27

* Fri Jan 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5872588
- up to 1.0.25

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d7654f
- updated to 1.0.24.1

* Sat May 29 2010 arvenil <arvenil@pld-linux.org> 4e6d2a0
- up to 1.0.23

* Sun Apr 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 66f9f09
- updated to 1.0.20

* Sun Sep 06 2009 amateja <amateja@pld-linux.org> 9407bb1
- reverted

* Sun Sep 06 2009 amateja <amateja@pld-linux.org> 44c3983
- adjusted for 1.8.3./hdf5/hdf5-config.patch

* Wed Jan 28 2009 Jakub Bogusz <qboosh@pld-linux.org> 2aa31a2
- updated to 1.0.19

* Tue Jul 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 3f851f8
- check-files cleanup

* Mon Jul 14 2008 twittner <twittner@pld-linux.org> e18bd4a
- up to 1.0.17

* Mon Feb 11 2008 Jakub Bogusz <qboosh@pld-linux.org> ba16c1d
- updated to 1.0.16
- use just /lib/firmware without misleading hotplug name

* Mon Oct 22 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a8bd917
- up to 1.0.15

* Wed Oct 10 2007 hawk <hawk@pld-linux.org> 90fc407
- release 1

* Tue Jun 12 2007 Jakub Bogusz <qboosh@pld-linux.org> c83206a
- updated to 1.0.14

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 91f8a45
- tabs in preamble

